libpixie-java_1.1.6-3_all.deb


Advertisement

Description

libpixie-java - Java Vector Format Viewer Library

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpixie-java
Package version 1.1.6
Package release 3
Package architecture all
Package type deb
Installed size 205 B
Download size 158.90 KB
Official Mirror archive.ubuntu.com
Pixie is a WMF-File reading library originally written as converter for the
Pixie-ImageViewer. Pixie was long time dead and is now resurrected as
WMF-Reader and ImageProducer for Java 1.2.2 or higher.
Pixie lacks the support for most BitMap-Formats but everything else is
working fine. Write-Support will be implemented somewhere in the future,
classes for the writesupport are mostly dummies at the moment.

Alternatives

Package Version Architecture Repository
libpixie-java_1.1.6-3_all.deb 1.1.6 all Ubuntu Universe
libpixie-java - - -

Requires

Name Value
libbase-java -
libcommons-logging-java -

Download

Type URL
Binary Package libpixie-java_1.1.6-3_all.deb
Source Package libpixie-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpixie-java deb package:
    # sudo apt-get install libpixie-java

Files

Path
/usr/share/doc/libpixie-java/README.txt
/usr/share/doc/libpixie-java/changelog.Debian.gz
/usr/share/doc/libpixie-java/copyright
/usr/share/java/libpixie-1.1-SNAPSHOT.jar
/usr/share/java/libpixie.jar

Changelog

2011-12-29 - Rene Engelhard <rene@debian.org>
libpixie-java (1:1.1.6-3) unstable; urgency=low
* merge from Ubuntu:
- add missing ant-contrib build-dep... (closes: #648749, #652187) 
2011-11-01 - Rene Engelhard <rene@debian.org>
libpixie-java (1:1.1.6-2) unstable; urgency=low
* merge libbase 1.1.6-2 changes 
2011-09-25 - Rene Engelhard <rene@debian.org>
libpixie-java (1:1.1.6-1) unstable; urgency=low
* new upstream release
* switch back to Debian Java Maintainers, me as Uploader 
* remove JRE depends 
* add classpath to jar using jh_classpath
* use jh_depends / ${java:Depends} 
2011-08-16 - Torsten Werner <twerner@debian.org>
libpixie-java (1:0.8.8-3) unstable; urgency=low
* QA upload.
* Orphaning package.
2009-08-03 - Torsten Werner <twerner@debian.org>
libpixie-java (1:0.8.8-2) unstable; urgency=low
[ Matthias Klose ]
* (Build-)depend on default-jre/-jdk.
[ Torsten Werner ]
* Add myselfo to Uploaders.
* Add missing Depends: ${misc:Depends}.
* Switch to debhelper compat level 4.
* Update Standards-Version: 3.8.2.
* Change Section: java.
* Add Vcs-* headers.
2007-09-27 - Rene Engelhard <rene@debian.org>
libpixie-java (1:0.8.8-1) unstable; urgency=low
* New upstream release
* remove bogus and unintended ant.properties file 
2007-08-30 - Rene Engelhard <rene@debian.org>
libpixie-java (1:0.8.7-1) unstable; urgency=low
* New upstream release
* move to main
* add myself to Uploaders:, remove Wolfgang
* add watch file and orig-tar.sh, thanks Kumar Appaiah
2006-02-02 - Wolfgang Baer <WBaer@gmx.de>
libpixie-java (1:0.8.4-1) unstable; urgency=low
* New upstream release
* Added epoch as previous releases used dates
* Build-depends and depends on libjcommon-java (>= 1.0.0-1)
* Convert build system to cdbs - added build-dependency
* Move package to pkg-java-maintainers for comaintenance, 
added Christian Bayle and myself as uploaders
* Although build with free tools its not yet completely usable with free
tools alone (needs Java2D) - therefore it stays in contrib for now.
* Updated copyright
* Added ant.properties to specify build target and jar name
* Added README.Debian-source how the upstream tarball was cleaned
* Added patch to remove bogus manifest classpath from jar
* Added compat file (level 4)
* Updated description based on README file
* Standards-Version 3.6.2 (no changes)
2005-04-28 - Christian Bayle <bayle@debian.org>
libpixie-java (20030705-4) unstable; urgency=high
* Fixed FTBFS: ./debian_patch: Permission denied (Closes: #306749) 
2003-07-22 - Christian Bayle <bayle@debian.org>
libpixie-java (20030705-3) unstable; urgency=low
* Added dependancy on java2-runtime (Closes: #202401)

See Also

Package Description
libpj2_2.7.2~dfsg-1_i386.deb PJ Project - PJProject core libraries
libpjlib-util2_2.7.2~dfsg-1_i386.deb PJ Project - helper utilities
libpjmedia-audiodev2_2.7.2~dfsg-1_i386.deb PJ Project - Audio devices
libpjmedia-codec2_2.7.2~dfsg-1_i386.deb PJ Project - Multimedia codecs handling
libpjmedia-videodev2_2.7.2~dfsg-1_i386.deb SIP handling library - video devices
libpjmedia2_2.7.2~dfsg-1_i386.deb PJ Project - VoIP media
libpjnath2_2.7.2~dfsg-1_i386.deb PJ Project - NAT handling
libpjproject-dev_2.7.2~dfsg-1_i386.deb PJ Project - development headers
libpjsip-simple2_2.7.2~dfsg-1_i386.deb PJ Project - SIP SIMPLE instant messaging
libpjsip-ua2_2.7.2~dfsg-1_i386.deb SIP handling library - SIP user agent library
libpjsip2_2.7.2~dfsg-1_i386.deb PJ Project - SIP handling library
libpjsua2-2v5_2.7.2~dfsg-1_i386.deb PJ Project - Basic VoIP client library
libpjsua2_2.7.2~dfsg-1_i386.deb PJ Project - Basic VoIP client library
libpkgconfig-perl_0.19026-1_all.deb Pure-Perl Core-Only replacement for pkg-config
libplacebo-dev_0.4.0-2_i386.deb GPU-accelerated video/image rendering primitives (development files)
Advertisement
Advertisement